\name{getExtension}
\alias{getExtension}
\title{get the extension of input path(s)}
\usage{
  getExtension(paths, preserveCase = FALSE)
}
\arguments{
  \item{paths}{the path(s) to get the extension of}

  \item{preserveCase}{boolean, default FALSE.  Whether or
  not to preserve the case of the extension.  If FALSE,
  returns lowercase.}
}
\value{
  the extension(s) of the path, being the text from the
  last '.' to the end.  If no extension, returns ''.
}
\description{
  get the extension of input path(s)
}
\examples{
getExtension( 'a/b/c.def' ) # 'def'
getExtension( 'a/b' )       # '' (no extension)
getExtension(c('a/b.png','c/d/e.jpg')) # "png" "jpg"
}
\seealso{
  Other file: \code{\link{createFilename}},
  \code{\link{getFilename}},
  \code{\link{getUniqueFilename}},
  \code{\link{makeIfNotExists}}
}

