\name{tk_select.list}
\alias{tk_select.list}
\title{Function almost identical to tcltk::tk_select.list}
\usage{
  tk_select.list(choices, preselect = NULL,
    multiple = FALSE, title = NULL, mono = FALSE)
}
\arguments{
  \item{choices}{a character vector of items.}

  \item{preselect}{a character vector, or \code{NULL}.  If
  non-null and if the string(s) appear in the list, the
  item(s) are selected initially.}

  \item{multiple}{logical: can more than one item be
  selected?}

  \item{title}{optional character string for window title,
  or \code{NULL} for no title.}

  \item{mono}{whether to try display in monospace font
  (uses tcltk interface).}
}
\description{
  This function is identical to
  \code{tcltk::tk_select.list}, *except* that it adds in an
  additional \code{tkwait.visibility} to the code prior to
  calling \code{tkgrab.set}.
}
\details{
  This gets around the problem that sometimes occurs (on
  Linux? Unable to reliably reproduce), where one uses
  \code{tcltk::tk_select.list}, and gets the error
  \code{[tcl] grab failed: window not viewable}.

  A bit of googling into tcltk suggests that this occurs
  when one attempts to set grab on a window that is not yet
  mapped to the screen (i.e. visible).

  The solution is to add a \code{tkwait.visibility(dlg)}
  *before* calling \code{tkgrab.set(dlg)}. That is what
  this function does.
}
\seealso{
  Other ui: \code{\link{dir.browse}},
  \code{\link{file.browse}}, \code{\link{Filters}},
  \code{\link{gui.dir.choose}},
  \code{\link{gui.file.choose}}, \code{\link{gui.menu}},
  \code{\link{gui.readline}}, \code{\link{gui.yesno}},
  \code{\link{tk_entry.dialog}}
}
\keyword{internal}

